%define name	gtuxnes
%define version	0.75
%define release	%mkrel 7
%define distsuffix plf

Summary:	GNOME front-end for the TuxNES NES emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Group:		Emulators
License:	GPL
URL:		http://www.scottweber.com/projects/gtuxnes/
Source0:	http://www.scottweber.com/projects/gtuxnes/%{name}-%{version}.tar.bz2
Source1:	%{name}-48x48.png
Source2:	%{name}-32x32.png
Source3:	%{name}-16x16.png
Patch0:		0.75-rc.patch
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	tuxnes = 0:%{version}
BuildRequires:	gtk+1.2-devel

%description
%{name} is a GNOME front-end for the TuxNES NES emulator. It allows 
setting and preservation of options for each ROM, and keeps a Cheat Codes 
database, an unlimited amount of codes can be stored.

This package is in PLF because it is against Mandriva policy to
include such software.

%prep

%setup -q
%patch0 -p0

%build
%__perl -p -i -e "s/gcc/%{__cc} %{optflags}/" Makefile
%make

%install
%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}

%__mkdir_p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Emulator;GT;
Name=GTuxNES
GenericName=NES Emulator
Exec=%{name}
Icon=%{name}
EOF

%__mkdir_p %{buildroot}%{_liconsdir}
%__mkdir_p %{buildroot}%{_miconsdir}
%__mkdir_p %{buildroot}%{_iconsdir}
%__install -m 644 %{SOURCE1} %{buildroot}/%{_liconsdir}/%{name}.png
%__install -m 644 %{SOURCE2} %{buildroot}/%{_iconsdir}/%{name}.png
%__install -m 644 %{SOURCE3} %{buildroot}/%{_miconsdir}/%{name}.png

%clean
%__rm -rf %{buildroot}

%post
%{update_menus}
 
%postun
%{clean_menus}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS CHANGES COPYING INSTALL README TODO
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sat Jan 19 2008 Anssi Hannula <anssi@zarb.org> 0:0.75-7plf2008.1
- freedesktop menu
- rc patch from gentoo

* Sat Oct  8 2005 Stefan van der Eijk <stefan@eijk.nu> 0:0.75-6plf
- mkrel & distsuffix
- BuildRequires

* Sun Apr 17 2005 David Walluck <david@zarb.org> 0:0.75-5plf
- fix summary-ended-with-dot

* Sat Oct 23 2004 David Walluck <david@zarb.org> 0.75-4plf
- rebuild
- use icons from goosnes rpm

* Tue May 17 2002 David Walluck <david@anti-microsoft.org> 0.75-3plf
- update Requires

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.75-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 0.75-1plf
- release
